## kf6-extra-cmake-modules 6.6.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.6.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix Vcs-* fields to target the new kf6-extra-cmake-modules repo.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Sep 2024 23:05:51 +0200

kf6-extra-cmake-modules (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rename source to kf6-extra-cmake-modules to match what we have for every
    other KF6 package.
  * Drop obsolete Breaks / Replaces.
  * Modernize building by using dh-sequence build-dependencies and dropping
    manually specified addons and buildsystems for dh.
  * New upstream release (6.6.0).
  * Fix permissions of installed files.
  * Drop obsolede lintian override.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:58:56 +0200

extra-cmake-modules (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:54 +0200

extra-cmake-modules (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Add lintian override for not depending on Python.
  * Review copyright information.
  * Add lintian override for nonsensical built-using-field-on-arch-all-package
    (See #999785).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:52 +0200

extra-cmake-modules (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:43:48 +0200

extra-cmake-modules (6.1.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0), closes: #1069972.

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Apr 2024 23:30:30 +0200

extra-cmake-modules (6.0.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Mar 2024 10:11:05 +0100

extra-cmake-modules (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update build-dependencies.
  * Switch back to stable releases.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Feb 2024 18:36:02 +0100

extra-cmake-modules (5.249.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.249.0).
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Switch to unstable releases and update the signing keys.
  * Suggest Qt 6 instead of Qt 5.
  * Update descriptions.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Jan 2024 20:25:01 +0100

extra-cmake-modules (5.107.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Remove python3-distutils build-dependency (Closes: #1065857).

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Mar 2024 17:21:58 +0100

extra-cmake-modules (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * New upstream release (5.107.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:23 +0200

extra-cmake-modules (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:45 +0100

extra-cmake-modules (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:20 +0100

extra-cmake-modules (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh patches.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:58 +0100

extra-cmake-modules (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:18 +0100

extra-cmake-modules (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop patch add_hurd_as_supported_platform.diff, it should not be
    needed anymore now that we demoted the unsupported platforms error
    to a warning.
  * New upstream release (5.99.0).
  * New upstream release (5.100.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:54 +0100

extra-cmake-modules (5.98.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch to demote unsupported platform error to a warning so
    upstream unsupported platforms like Hurd can build in Debian without
    additional hacks.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 05 Oct 2022 13:46:03 +0200

extra-cmake-modules (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Add patch to re-add Hurd as a supported platform. It was lost when
    upstream defined the concept of supported platforms but was
    previously building fine in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:32 +0200

extra-cmake-modules (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:24 +0200

extra-cmake-modules (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:53 +0200

extra-cmake-modules (5.94.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Drop patch to disable fatal warnings as the issue has been fixed in
    binutils.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Jun 2022 19:38:55 +0200

extra-cmake-modules (5.94.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.

