## kf6-extra-cmake-modules 6.9.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:44:03 +0000

kf6-extra-cmake-modules (6.8.0-0ubuntu3) plucky; urgency=medium

  * Need a revision higher than the old extra-cmake-modules source.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:28:37 +0000

kf6-extra-cmake-modules (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.8.0)
  * Pass -DBUILD_TESTING=OFF to configure.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:01:27 +0000
