=== debian/control ===
--- 
+++ 
@@ -4,17 +4,21 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
-               libjs-underscore <!nodoc>,
-               python3-setuptools <!nodoc>,
-               python3-sphinx (>= 1.2~) <!nodoc>,
-               python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
+               cmake (>= 3.16~),
+               python3-sphinx:native (>= 1.2~) <!nodoc>,
+               python3-sphinxcontrib.qthelp:native <!nodoc>,
+               qt6-tools-dev,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               qttools5-dev-tools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
+                     libjs-underscore <!nodoc>,
+                     python3-setuptools <!nodoc>,
+                     python3-sphinxcontrib.serializinghtml <!nodoc>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
