## kf6-extra-cmake-modules 6.11.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Replace cross-compilation support patch with a backport of
    upstream’s official solution.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:04 +0100
