## kf6-extra-cmake-modules 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Preliminary setup
 #
 
-set(VERSION "6.12.0") # handled by release scripts
+set(VERSION "6.13.0") # handled by release scripts
 
 project(ECM
     VERSION "${VERSION}"
