=== debian/changelog ===
kf6-extra-cmake-modules (6.16.0-0ubuntu2) questing; urgency=medium

  * KDECompilerSettings.cmake: For now do not pass -Wl,--fatal-warnings
    to the linker.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Aug 2025 18:51:28 +0100

kf6-extra-cmake-modules (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:38:59 +0100

kf6-extra-cmake-modules (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:43 +0100

kf6-extra-cmake-modules (6.14.0-0ubuntu2) questing; urgency=medium

  * Sync changes from 6.13.0-1
  * Add .gitattributes for git dpkg-mergechangelogs merge driver.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 May 2025 07:47:45 +0100

kf6-extra-cmake-modules (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:06 +0100
